package ms.itsecteam.warpdrink.data;


import java.util.List;

import ms.itsecteam.warpdrink.data.models.rest.RestProduct;
import ms.itsecteam.warpdrink.data.models.rest.RestTransaction;
import ms.itsecteam.warpdrink.data.models.rest.RestUser;
import retrofit.Call;
import retrofit.http.Body;
import retrofit.http.GET;
import retrofit.http.POST;
import retrofit.http.PUT;
import retrofit.http.Path;

public interface RestService {

    @GET("users/{user}")
    Call<RestUser> getSingleUser(@Path("user") String userid);

    @GET("users/")
    Call<List<RestUser>> getAllUser();

    @POST("users/")
    Call<RestUser> addUser(@Body RestUser user);

    @PUT("users/{userid}/")
    Call<RestUser> saveUser(@Path("userid") String uid, @Body RestUser user);

    @GET("products/")
    Call<List<RestProduct>> getAllProducts();

    @PUT("transaction/{userid}/")
    Call<Void> saveTransaction(@Path("userid") String uid, @Body RestTransaction transaction);
}