package ms.itsecteam.warpdrink.data.models.local;

import com.activeandroid.Model;
import com.activeandroid.annotation.Column;
import com.activeandroid.annotation.Table;
import com.activeandroid.query.Delete;
import com.activeandroid.query.Select;

@Table(name = "Settings")
public class Setting extends Model {

    @Column(name = "key")
    private String key;
    @Column(name = "value")
    private String value;

    public Setting() {
        super();
    }

    public Setting(String key, String value) {
        super();
        this.key = key;
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

    public static String getSetting(String key) {
        Setting setting = new Select()
                .from(Setting.class)
                .where("key = ?", key)
                .executeSingle();
        if(setting != null)
            return setting.getValue();
        return null;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public static void setSetting(String key, String value) {
        Setting setting = new Select()
                .from(Setting.class)
                .where("key = ?", key)
                .executeSingle();

        if(setting != null) {
            setting.setValue(value);
        } else {
            setting = new Setting(key, value);
        }
        setting.save();
    }

    public static void deleteAll() {
        new Delete().from(Setting.class).execute();
    }
    public String toString() {
        return this.key+":"+this.value;
    }
}
