package ms.itsecteam.warpdrink.orderList;

import android.app.Activity;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.List;

import ms.itsecteam.warpdrink.R;
import ms.itsecteam.warpdrink.data.models.local.Product;

public class ListViewAdapterProducts extends ArrayAdapter<Product>{

    private List<Product> items;
    private int layoutResourceId;
    private Context context;

    public ListViewAdapterProducts(Context context, int layoutResourceId, List<Product> items) {
        super(context, layoutResourceId, items);
        this.layoutResourceId = layoutResourceId;
        this.context = context;
        this.items = items;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        View row;
        ProductHolder holder;

        LayoutInflater inflater = ((Activity) context).getLayoutInflater();
        row = inflater.inflate(layoutResourceId, parent, false);

        holder = new ProductHolder();
        holder.product = items.get(position);

        holder.name = (TextView)row.findViewById(R.id.txtProductName);
        holder.price = (TextView)row.findViewById(R.id.txtProductPrice);

        row.setTag(holder);

        setupItem(holder);
        return row;
    }

    private void setupItem(ProductHolder holder) {
        holder.name.setText(String.valueOf(holder.product.getName()));
        holder.price.setText(String.valueOf(holder.product.getPrice())+" Euro");
    }

    public static class ProductHolder {
        Product product;
        TextView name;
        TextView price;
    }
}